package jp.sourceforge.projects.ee2e.core.scratch;

import java.io.File;
import org.eclipse.core.resources.*;
import org.eclipse.ui.PartInitException;

/**
 * To change this generated comment edit the template variable "typecomment":
 * Window&gt;Preferences&gt;Java&gt;Templates.
 * To enable and disable the creation of type comments go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation.
 *
 * @author Toshikazu Ando [ ando@park.ruru.ne.jp ]
 */
public class EE2EFileJumpAction extends EE2EConsoleAction {

	/**
	 * Constructor for EE2EFileJumpAction.
	 */
	public EE2EFileJumpAction() {
		super();
	}

	/**
	 * @see jp.sourceforge.projects.ee2e.core.scratch.EE2EConsoleAction#actionStart(String, File)
	 */
	protected void actionStart(String selectString, File parent)
		throws PartInitException {
        IFile file = this.getReasonedFile().getFile(selectString,parent);
        this.openEditor(file, true);
	}
}
